package oop.kolokvijum2013.karta.objekti;

public class Kota {
	private double x,y,visina;
	
	public Kota(double x, double y, double visina){
		this.x = x;
		this.y = y;
		this.visina = visina;
	}
	
	public double getX() {
		return x;
	}

	public double getY() {
		return y;
	}

	public double getVisina() {
		return visina;
	}
	
	public boolean equals(Kota k,double preciznost){
		if((this.x - k.x)<preciznost && (this.y-k.y)<preciznost) return true;
		else return false;
	}
	
	public boolean equals(Kota k){
		if((this.x - k.x)<0.1 && (this.y-k.y)<0.1) return true;
		else return false;
	}
	
	public String koordinate(){
		return "("+this.x+","+this.y+","+this.visina+")";
	} 
	
	public double rastojanje(Kota k1, Kota k2){
		return Math.sqrt((k1.x-k2.x)*(k1.x-k2.x)-(k1.y-k2.y)*(k1.y-k2.y));
	}
	
	public double rastojanje(Kota k){
		return Math.sqrt((this.x-k.x)*(this.x-k.x)-(this.y-k.y)*(this.y-k.y));
	}
	
	
}






