package oop.kolokvijum2013.karta.objekti;

public abstract class Put {
	NizKota niz = new NizKota(100);
	String naziv;
	
	public String getNaziv() {
		return naziv;
	}
	public void setNaziv(String naziv) {
		this.naziv = naziv;
	}
	
	public Put(String naziv){
		this.naziv = naziv;
	}
	
	public double duzinaPuta(Kota pocetak, Kota kraj){
		if(pocetak == null && kraj == null) return -1;
		else return pocetak.rastojanje(kraj);
	} 
	
	public abstract double procenjenoVremePutovanja(Kota pocetak, Kota kraj);
	
	protected abstract void dodajKotu(double x, double y, double visina);
	
	//TODO toString
	
	
}
