package oop.kolokvijum2013.karta.objekti;

public class VezanaKota extends Kota {

	private VezanaKota levo;
	private VezanaKota desno;
	
	public VezanaKota(double x, double y, double visina) {
		super(x, y, visina);
	}

	public VezanaKota getLevo() {
		return levo;
	}

	public void setLevo(VezanaKota levo) {
		this.levo = levo;
	}

	public VezanaKota getDesno() {
		return desno;
	}

	public void setDesno(VezanaKota desno) {
		this.desno = desno;
	}
	
	public double rastojanje(Kota k)
	{
		double[] nizRastojanja = new double[20];
		VezanaKota v = this;
		while(v.getLevo()!=null) v = v.getLevo();
		int br = 0;
		while(v.getDesno()!=null)
		{
			nizRastojanja[br]=Kota.rastojanje(this, k);
			br++;
			v = v.getDesno();
		}
		double min = nizRastojanja[0];
		for(int i = 1; i < nizRastojanja.length && nizRastojanja[i]!=0.0 ; i++)
			if(nizRastojanja[i] < min) min = nizRastojanja[i];
		
		return min;
	}

	@Override
	public String toString() {
		VezanaKota v = this;
		while(v.getLevo()!=null) v = v.getLevo();
		String s = "";
		while(v.getDesno()!=null)
		{
			s+=v.toString();
		}
		return s;
	}
	
	
}
