
public class Drum extends Slozen implements Prohodan {

	private char oznaka;
	private final double  AUTOPUT=120.0;
	private  final double MAGISTRALNI=60.0;
	private  final double ZEMLJANI=60.0;
	private int brojac=0;
	int id;
	
	public Drum(String naziv, char oznaka)
	{
		super(naziv,null,null);
		this.oznaka=oznaka;
		brojac++;
	}
	
	public Drum(String naziv, char oznaka, Kota k)
	{
		super(naziv,"D",k);
	}
		
	@Override
	public double procenjenoVremePutovanja(Kota k1, Kota k2) {
		double r=k1.rastojanje(k2);
		if (oznaka=='A') return r/AUTOPUT;
		else if (oznaka=='M') return r/MAGISTRALNI;
		else return r/ZEMLJANI;
	
	}

	@Override
	public void dodajKotu(double x, double y, double visina) {
		Kota k=new Kota(x,y,visina);
		super.setKota(k);
	}
	

	public void setId()
	{
		id=brojac;
	}

}
