
public class PlovnaReka extends Reka implements Prohodan {

	private final double UZVODNO=10.0;
	private final double NIZVODNO=20.0;
	
	
	public PlovnaReka(String naziv)
	{
		super(naziv);
	}
	
	public PlovnaReka(String naziv, Kota k)
	{
		super(naziv);
		super.setKota(k);
	}
	
	@Override
	public double procenjenoVremePutovanja(Kota k1, Kota k2) {
		double r=k1.rastojanje(k2);
		if ((k1.getX()<k2.getX()) && (k1.getY()<k2.getY())) return r/UZVODNO;
		else return r/NIZVODNO;
	}

}
