package oop.kolokvijum2013.karta.objekti;

public abstract class Slozen extends Objekat implements Merljivo {

	public Slozen(String naziv, String id, Kota kota) {
		super(naziv, id, kota);
	}

	public abstract void dodajKotu(double x, double y, double visina);

	public double duzinaPuta(Kota poc, Kota kraj) {
		Kota pom = poc;
		int indicate = 0;
		if (super.getKota() instanceof VezanaKota) {
			while (((VezanaKota) pom).getDesno() != null) {
				pom= ((VezanaKota) pom).getDesno();
				if (pom.equals(super.getKota()))
					indicate++;
			}
			if (pom.equals(kraj))
				indicate++;
		}
		if (indicate == 2) {
			int zbir = 0;
			VezanaKota pom1 = (VezanaKota) poc;
			while (pom1 != null) {
				zbir += pom1.rastojanje(pom1, pom1.getLevo());
			}
			return zbir;
		}
		return -1;
	}
}
