package oop.kolokvijum2013.karta.objekti;

public class Kota {
	private double x;
	private double y;
	private double visina;
	public Kota(double x, double y, double visina) {
		super();
		this.x = x;
		this.y = y;
		this.visina = visina;
	}
	
	public double getX() {
		return x;
	}

	public double getY() {
		return y;
	}

	public double getVisina() {
		return visina;
	}

	public boolean equals(Kota k,double preciznost){
		if(((this.x-k.getX()<preciznost)||(k.getX()-this.x<preciznost))&&((this.y-k.getY()<preciznost)||(k.getY()-this.y<preciznost))) return true;
		else return false;
	}
	public boolean equals(Kota k){
		if(((this.x-k.getX()<0.1)||(k.getX()-this.x<0.1))&&((this.y-k.getY()<0.1)||(k.getY()-this.y<0.1))) return true;
		else return false;
	}
	public String toString(){
		return "("+x+","+y+","+visina+")";
	}
  public double rastojanje(Kota k,Kota o){
	  return (Math.sqrt((k.getX()-o.getX())*(k.getX()-o.getX()))+((k.getY()-o.getY())*(k.getY()-o.getY())));
  }
  public double rastojanje(Kota k){
	  if(k instanceof Vezanakota){
		  Vezanakota p=(Vezanakota)k;
		  return p.rastojanje(k);
	  }
	  else return this.rastojanje(k, this);
  }
  
}
