package oop.kolokvijum2013.karta.objekti;

public class Kota {
	private double x, y, visina;

	
	public Kota(double x, double y, double visina) {
		this.x = x;
		this.y = y;
		this.visina = visina;
	}
	
	public boolean equals(Kota kota, double preciznost){
		double razlika1, razlika2;
		razlika1 = this.x - kota.x;
		razlika2 = this.y - kota.y;
		if(razlika1<0) razlika1 = razlika1*-1.00;
		if(razlika2<0) razlika2 = razlika2*-1.00;
		if((razlika1 < preciznost) && (razlika2 < preciznost)) 
			return true;
		return false;
	}
	
	
	public boolean equals(Kota kota){
		return equals(kota, 0.1);
	}
	
	public static double rastojanje(Kota kota1, Kota kota2){
		double dX, dY;
		dX=kota1.x-kota2.x;
		dY=kota1.y-kota2.y;
		return
			Math.sqrt(dX*dX+dY*dY);
	}
	
	public double rastojanje(Kota kota){
		VezanaKota pom;
		if(kota instanceof VezanaKota){
			pom = (VezanaKota) kota;
			return pom.rastojanje(this);
		}
		else return rastojanje(this, kota);
	}
	
	
	
	public String toString(){
		return "("+x+","+y+","+visina+")";
	}
	
	
	
	
	
	
	
	
	//GETERI
	public double getX() {
		return x;
	}

	public double getY() {
		return y;
	}

	public double getVisina() {
		return visina;
	}
	
}
