package oop.kolokvijum2013.karta.objekti;

public class Reka extends Slozen {

	private static int brojac;
	
	public Reka(String naziv){
		super(naziv, "R"+brojac++, null);
	}
	
	public Reka(String naziv, Kota kota){
		super(naziv, "R"+brojac++, kota);
	}
	
	
	
	
	
	@Override
	public void dodajKotu(double x, double y, double visina) {
		VezanaKota vezana = new VezanaKota(x, y, visina);
		VezanaKota pom, pomL, pomD;
		
		if(super.getKota() == null) super.setKota(vezana);
		
		else {
			pom=(VezanaKota) super.getKota();
			
			if(visina >= pom.getVisina()){
				pom.setDesno(vezana);
				vezana.setLevo(pom);
			}
			else if(visina < pom.getVisina()){
				pom.setLevo(vezana);
				vezana.setDesno(pom);
			}
		}

	}


}
