
public class VezanaKota extends Kota{
	private VezanaKota levo,desno;

	public VezanaKota(double x, double y, double visina) {
		super(x, y, visina);
	}

	public VezanaKota getLevo() {
		return levo;
	}

	public void setLevo(VezanaKota levo) {
		this.levo = levo;
	}

	public VezanaKota getDesno() {
		return desno;
	}

	public void setDesno(VezanaKota desno) {
		this.desno = desno;
	}
	
	public double rastojanje(Kota k)
	{
		VezanaKota pom;
		pom=this;
		double ras;
		ras=Math.sqrt((k.getX()-super.getX())*(k.getX()-super.getX())+(k.getY()-super.getY())*(k.getY()-super.getY()));
		while(pom.levo!=null)
		{
			if(ras<super.rastojanje(pom.levo, k))
					ras=super.rastojanje(pom.levo, k);
			pom=pom.levo;
		}
		pom=this;
		while(pom.desno!=null)
		{
			if(ras<super.rastojanje(pom.levo, k))
					ras=super.rastojanje(pom.levo, k);
			pom=pom.desno;
		}
		return ras;
	}
	
	public String toString()
	{
		String pom=super.toString();
		VezanaKota k;
		k=this;
		while(k.desno!=null)
		{
			pom=pom+k.desno.toString();
		}
		return pom;
	}
	
	
	
}
