package oop.kolokvijum2013.karta.objekti;

public class Reka extends Slozen 
{
	private static int brojac = 0;
	
	public Reka(String n)
	{
		this(n, null);
	}
	
	public Reka(String n, Kota k)
	{
		super(n, "R" + (++brojac), k);
	}
	
	@Override
	public void dodajKotu(double x, double y, double v) 
	{
		VezanaKota k = new VezanaKota(x, y, v);
		
		if (getKota() == null)
			setKota(k);
		else
		{
			VezanaKota k1 = (VezanaKota) getKota();
			while (k1.getDesno() != null && k1.getVisina() > k.getVisina())
				k1 = (VezanaKota) k1.getDesno();
			
			if (k1.getLevo() != null)
				((VezanaKota) k1.getLevo()).setDesno(k);
			k.setLevo(k1.getLevo());
			k1.setLevo(k);
			k.setDesno(k1);
		}
	}
}
