package oop.kolokvijum2013.karta.objekti;

public abstract class Objekat {
	private String naziv;
	private String id;
	private Kota kota;
	
	public Objekat(String naziv, String id, Kota kota) {
		super();
		this.naziv = naziv;
		this.id = id;
		this.kota = kota;
	}
	
	public Kota getKota() {
		return kota;
	}
	
	protected void setKota(Kota kota) {
		this.kota = kota;
	}
	
	public String getNaziv() {
		return naziv;
	}
	
	public double udaljenost(Objekat o){
		return Kota.rastojanje(kota, o.getKota());
	}
	
}
