package oop.kolokvijum2013.karta.objekti;

public class Drum extends Slozen implements Prohodan {
	
	private char kategorija;
	private final double  AUTOPUT=120.0;
	private final double  MAGISTRALNI=60.0;
	private final double  ZEMLJANI=30.0;
	private int brojac;
	private static int inkrement;
	
	
	public Drum(String naziv,char kategorija,Kota k){
		super(naziv,"D+brojac",k);
		this.kategorija=kategorija;
		brojac=inkrement;
		inkrement++;
	}
	public Drum(String naziv,char kategorija){
		super(naziv,"D+brojac",null);
		this.kategorija=kategorija;
		brojac=inkrement;
		inkrement++;
	}
	
	
	
	
	
	
	
	
	public char getKategorija() {
		return kategorija;
	}

	public double procenjenoVremePutovanja(Kota k1, Kota k2) {
		double d=k1.rastojanje(k2);
		
		switch (this.getKategorija()) {
		case 'A': return d/AUTOPUT;
		case 'M': return d/MAGISTRALNI;	
		case 'Z': return d/ZEMLJANI;	

		default:
			return 0.0;
		}
		
	}

	
	public void dodajKotu(double x, double y, double visina) {
		VezanaKota p=new VezanaKota(x,y,visina);
		VezanaKota n=new VezanaKota(x,y,visina);
		if(p.getLevo()==null && p.getDesno()==null){
			p.setDesno(n.getLevo());
			n.setDesno(null);
		}
		else{
			while(p.getDesno()!=null) p=p.getDesno();
			p.setDesno(n.getLevo());
			n.setLevo(p.getDesno());
			n.setDesno(null);
		}
		

	}

}
