package oop.kolokvijum2013.karta.objekti;
import java.lang.Math;

public class Kota {
	private double x;
	private double y;
	private double visina;
	public double getX() {
		return x;
	}
	public double getY() {
		return y;
	}
	public double getVisina() {
		return visina;
	}
	public Kota(double x, double y, double visina) {
		super();
		this.x = x;
		this.y = y;
		this.visina = visina;
	}
	
	
	public boolean equals(Kota k,double preciznost){
		if(((this.x-k.getX()<preciznost)||(k.getX()-this.x<preciznost))&&((this.y-k.getY()<preciznost)||k.getY()-this.y<preciznost)){
			return true;
		}
		else return false;
	}
	public boolean equals(Kota k){
		if(((this.x-k.getX()<0.1)||(k.getX()-this.x<0.1))&&((this.y-k.getY()<0.1)||k.getY()-this.y<0.1)){
			return true;
			
		}
		else return false;
	}
	
	public String toString(){
		return "("+x+","+"y"+","+visina+")";
	}
	
	public double rastojanje (Kota k1,Kota k2){
		return (Math.sqrt(Math.pow(k1.getX()-k2.getX(), 2)+(Math.pow(k1.getY()-k2.getY(), 2))));
	}
	
	public double rastojanje(Kota k){
		if(k instanceof VezanaKota){
			VezanaKota p=(VezanaKota)k;
			return p.rastojanje(k);
		}
		else return this.rastojanje(k, this);
	}
	
}


