package oop.kolokvijum2013.karta.objekti;

public class Nizkota {
	
	private Kota[] niz;
	private int popunjeno = 0;
	
	Nizkota(int duzina)
	{
		niz = new Kota[duzina];
	}
	
	void dodajNaKraj(Kota k)
	{
		//int i=0;
		//while (niz[i] != null) i++;
		//niz[i]=k;
		niz[popunjeno] = k;
		popunjeno++;
	}
	
	void dodajNaMesto(Kota k, int postavi)
	{
						
		int i = postavi;
		while (i < niz.length)
		{
				niz[i++] = niz[i];
				i++;
		}
		
		niz[postavi] = k;
		popunjeno++;
	}
	
	boolean sadrzi(Kota k)
	{
		for(int i=0; i< popunjeno ; i++)
		{
			if(niz[i].equals(k)) return true;
		}
		return false;
	}
	
	Kota dajKotu(int daj)
	{
		return niz[daj];
	}

	public int getPopunjeno() {
		return popunjeno;
	}

	public String toString()
	{
		String rez = "";
		for(int i=0; i< popunjeno; i++)
			rez += niz[i].toString()+"\n";
		return rez;
	}
	
	
	

}
