package oop.kolokvijum2013.karta.objekat;

public class Kota {
	//tacka na geo karti
	private double x;
	private double y;
	double visina;

	public double getX() {return x;}

	public double getY() {return y;}
	
	public double getVisina() {return visina;}

	public Kota(double x, double y, double visina)
		{this.x=x; this.y=y; this.visina=visina;}
	
	public boolean equals(Kota k, double preciznost)
	{
		double x1=Math.abs(this.x-k.getX());
		double y1=Math.abs(this.y-k.getY());
		if(x1<preciznost && y1<preciznost) return true;
		return false;
	}
	
	public boolean equals(Kota k)
	{
		double x1=Math.abs(this.x-k.getX());
		double y1=Math.abs(this.y-k.getY());
		if(x1<0.1 && y1<0.1) return true;
		return false;
	}
	
	public String toString()
		{return "("+x+","+y+","+visina+")";}
	
	public static double Rastojanje(Kota k1, Kota k2)
	{
		double dx=Math.abs(k1.getX()-k2.getX());
		double dy=Math.abs(k1.getY()-k2.getY());
		
		return Math.sqrt(dx*dx+dy*dy);
	}
	
	public double rastojanje(Kota k)
	{
		double r;
		if(k instanceof VezanaKota)
			r = k.rastojanje(this);
		else r = Rastojanje(this, k);
		return r;
	}

}
