package oop.kolokvijum2013.karta.objekat;

public abstract class Objekat {
	private String naziv;
	private String id;
	private Kota kota;
	
	public Kota getKota() {return kota;}
	
	protected void setKota(Kota kota) {this.kota = kota;}
	
	public String getNaziv() {return naziv;}
	
	public Objekat(String naziv, String id, Kota k)
		{this.naziv=naziv; this.id=id; this.kota=k;}
	
	public double udaljenost(Objekat o)
	{
		Kota k1=this.kota;
		Kota k2=o.getKota();
		double dx=Math.abs(k1.getX()-k2.getX());
		double dy=Math.abs(k1.getY()-k2.getY());
		
		return Math.sqrt(dx*dx+dy*dy);
	}

}
