package oop.kolokvijum2013.karta.objekat;

public class PlovnaReka extends Reka implements Prohodan {
	private final double UZVODNO=10.0;
	private final double NIZVODNO=20.0;
	
	public PlovnaReka(String naziv)
		{super(naziv);}

	public PlovnaReka(String naziv, VezanaKota k)
		{super(naziv, k);}
	
	
	@Override
	public double procenjenoVremePutovanja(Kota k1, Kota k2) {
		double d = this.duzinaPuta(k1, k2); 
		if(d!=0)
		{
			if(k1.getVisina()<k2.getVisina())
				return d/NIZVODNO;
			else return d/UZVODNO;
		}
		return 0;
	}

}
