
public class Drum extends Slozen implements Prohodan {
	private char kategorija;
	private final double AUTOPUT=120.0;
	private final double MAGISTRALNI=60.0;
	private final double ZEMLJANI=30.0;
	private int brojac=0;
	
	public Drum(String naziv, char tip) {
		super(naziv, null, null);
		this.kategorija = tip;
		brojac++;
	}
	
	

	public Drum(String naziv, String id, VezanaKota kota, char kategorija) {
		super(naziv, "D"+id, kota);
		this.kategorija = kategorija;
		brojac++;
	}

	@Override
	public double duzinaPuta(Kota k1, Kota k2) {
		//super.duzinaPuta(k1, k2);
		return 0;
	}

	@Override
	public double procenjenoVremePutovanja(Kota k1, Kota k2) {
			double a=super.duzinaPuta(k1, k2);
			double b=1;
			if(this.kategorija=='A') b=this.AUTOPUT;
			if(this.kategorija=='M') b=this.MAGISTRALNI;
			if(this.kategorija=='Z') b=this.ZEMLJANI;
			return a/b;
		
	}

	@Override
	public void dodajKotu(double x, double y, double visina) {
		if(super.getKota()==null) {
			VezanaKota kota = new VezanaKota(x, y, visina,null,null);
			super.setKota(kota);
			}
		else {
			VezanaKota v=(VezanaKota) this.getKota();
			while(v.getDesno()!=null){
				v=v.getDesno();
			}
			VezanaKota v2= new VezanaKota(x, y, visina, v, null);
			v2.setLevo(v);
			
		}
	}

}
