
public class Kota {

	private double x;
	private double y;
	private double visina;
	
public Kota(double x, double y, double visina) {
		
		this.x = x;
		this.y = y;
		this.visina = visina;
	}
	
	public double getX() {
		return x;
	}
	public double getY() {
		return y;
	}
	public double getVisina() {
		return visina;
	}
	
	public boolean equals(Kota k, double preciznost){
		double udaljenost=rastojanje(this, k);
		if(udaljenost<preciznost) return true;
		else return false;
	}
	
	public boolean equals(Kota k){
		double udaljenost=rastojanje(this, k);
		if(udaljenost<0.1) return true;
		else return false;
	}

	@Override
	public String toString() {
		return "(" + x + ", " + y + ", " + visina + ")";
	}
	
	public double rastojanje(Kota k1, Kota k2){
		double a=k1.x-k2.getX();
		double b=k1.y-k2.getY();
		double udaljenost=Math.sqrt(a*a+b*b);
		return udaljenost;
	}
	
	public double rastojanje(Kota k){
		double udaljenost;
		VezanaKota v=(VezanaKota) k;
		if(k instanceof VezanaKota) udaljenost=v.rastojanje(this);
		else udaljenost=this.rastojanje(k,this);
		return udaljenost;
	}
}
