package oop.kolokvijum2013.karta.objekti;

public class VezanaKota extends Kota {
	private VezanaKota levo,desno;
	public VezanaKota(double x, double y, double visina) {
		super(x, y, visina);
	}
	public VezanaKota getLevo() {
		return levo;
	}
	public VezanaKota getDesno() {
		return desno;
	}
	public double rastojanje(Kota k){
		double minlevo=k.rastojanje(k, this);
		double mindesno=k.rastojanje(k, this);
		VezanaKota l=levo,d=desno;
		if (levo!=null) minlevo=super.rastojanje(this.levo,k);
		if (desno!=null) mindesno=super.rastojanje(this.desno,k);
		while (l!=null){
			if (super.rastojanje(l,k)<minlevo) {
				minlevo=super.rastojanje(l,k);
			}
			l=l.getLevo();
		}
		while (d!=null){
			if (super.rastojanje(d,k)<mindesno) mindesno=super.rastojanje(d,k);
			d=d.getDesno();
		}
		if (mindesno<minlevo) return mindesno;
		return minlevo;
	}
	public void setLevo(VezanaKota levo) {
		this.levo = levo;
	}
	public void setDesno(VezanaKota desno) {
		this.desno = desno;
	}
	public String toString(){
		String s=super.toString()+"\n";
		if (desno!=null) s+=desno.toString();
		return s;
	}

}
