package oop.kolokvijum2013.karta.objekti;

public abstract class Put {

	protected NizKota nizKota = new NizKota(6);
	String naziv;
	
	public Put(String naziv) {
		this.naziv=naziv;
	}

	public String getNaziv() {
		return naziv;
	}

	public void setNaziv(String naziv) {
		this.naziv = naziv;
	}
	
	public double duzinaPuta(Kota a,Kota b){
		if(nizKota.sadrzi(a) && nizKota.sadrzi(b)){
			return a.rastojanje(b);
		}
		return -1;
	}
	
	public abstract double procenjenoVremePutovanja(Kota a,Kota b);
	
	public abstract void dodajKotu(double x,double y,double visina);
	
	public String toString(){
		return naziv+nizKota.toString();
	}
}
