package oop.kolokvijum2013.karta.objekti;
import java.math.*;
public class Kota {
	private double x;
	private double y;
	private double visina;
	
	
	public Kota(double x, double y, double visina) {
		super();
		this.x = x;
		this.y = y;
		this.visina = visina;
	}


	public boolean equals(Kota k, double d){
		if(this.x-k.x<d && this.y-k.y<d)return true;
		return false;
	}

	public boolean equals(Kota k){
		if(this.x-k.x<0.1 && this.y-k.y<0.1)return true;
		return false;
	}


	@Override
	public String toString() {
		return x + "," + y + "," + visina;
	}
	public double rastojanje(Kota a, Kota b){
		double p=0;
		p=Math.sqrt((a.x-b.x)*(a.y-b.x)+(a.y-b.y)*(a.y-b.y));
		return p;
	}
	public double rastojanje(Kota a){
		double p=0;
		p=Math.sqrt((a.x-this.x)*(a.y-this.x)+(a.y-this.y)*(a.y-this.y));
		return p;
	}


	public double getX() {
		return x;
	}


	public double getY() {
		return y;
	}


	public double getVisina() {
		return visina;
	}
	
	
}