package oop.kolokvijum2013.karta.objekti;

public class Reka extends Slozen {
	private static int brojac=1;
	
	public Reka(String naziv) {
		super(naziv, "R"+brojac, null);
		brojac++;
	}
	
	public Reka(String naziv,Kota k) {
		super(naziv, "R"+brojac, k);
		brojac++;
	}
	
	
	@Override
	public void dodajKotu(double x, double y, double visina) {
		VezanaKota k=new VezanaKota(x, y, visina);
		if (this.getKota()==null) this.setKota(k);
		else {
			VezanaKota k1=(VezanaKota) this.getKota();
			while(k1.getVisina()<visina && k1!=null) k1=k1.getDesno();
			k1.setDesno(k);
			k.setLevo(k1);
		}
	}
	
	
}
