package oop.kolokvijum2013.karta.objekti;

public class Kota {
	private double x;
	private double y;
	private double visina;
	
	public double getX() {
		return x;
	}
	public void setX(double x) {
		this.x = x;
	}
	public double getY() {
		return y;
	}
	public void setY(double y) {
		this.y = y;
	}
	public double getVisina() {
		return visina;
	}
	public void setVisina(double visina) {
		this.visina = visina;
	}
	
	public Kota(double x,double y,double visina)
	{
		this.x=x;
		this.y=y;
		this.visina=visina;
	}
	
	public boolean equals(Kota k,double preciznost)
	{
		if((Math.abs(this.getX()-k.getX())<preciznost) && (Math.abs(this.getY()-k.getY())<preciznost)) return true;   
		else return false;
	}
	
	
	public boolean equals(Kota k)
	{
		if((Math.abs(this.getX()-k.getX())<0.1) && (Math.abs(this.getY()-k.getY())<0.1)) return true;   
		else return false;
	}

	
	public String toString()
	{
		return "( "+this.x+" , "+this.y+" , "+this.visina+" ); \n";
	}
	
	static double rastojanje(Kota k1, Kota k2)
	{
		return Math.sqrt((k1.getX()-k2.getX())*(k1.getX()-k2.getX()) + (k1.getY()-k2.getY())*(k1.getY()-k2.getY()));           
	}
	
	public double rastojanje(Kota k)
	{
		if(!(k instanceof VezanaKota)) return rastojanje(this,k);
		else return k.rastojanje(this);
			
	}
	
}





























