package oop.kolokvijum2013.karta.objekti;

public class PlovnaReka extends Reka implements Prohodan {

	private double UZVODNO=10.0;
	private double NIZVODNO=20.0;
	
	public PlovnaReka(String naziv) {
		super(naziv);
	}
	
	public PlovnaReka(String naziv,VezanaKota kota) {
		super(naziv,kota);
	}

	@Override
	public double procenjenoVremePutovanja(VezanaKota kota1, VezanaKota kota2) {
		double rastojanje=duzinaPuta(kota1,kota2);
		if(kota1.getVisina()>kota2.getVisina()) return rastojanje*NIZVODNO;
		if(kota1.getVisina()<kota2.getVisina()) return rastojanje*UZVODNO;
		return 0;
	}

}
