package oop.kolokvijum2013.karta.objekti;

public class Kota {
	private double x;
	private double y;
	private double visina;
	
	public double getX() {
		return x;
	}
	
	public double getY() {
		return y;
	}
	
	public double getVisina() {
		return visina;
	}
	
	
	
	public Kota(double x, double y, double visina) {
		
		this.x = x;
		this.y = y;
		this.visina = visina;
	}

	public boolean equals(Kota k,double d){
		if(((this.x-k.x)<d)&&((this.y-k.y)<d)) return true;
		return false;
	}
	
	public boolean equals(Kota k){
		return equals(k,1.0);
	}
	@Override
	public String toString() {
		return "(" + x + "," + y + "," + visina + ")";
	}
	public double rastojanje(Kota k,Kota d){
		return Math.sqrt((k.x-d.x)*(k.x-d.x)+(k.y-d.y)*(k.y-d.y));
	}
	public double rastojaje(Kota k){
		return rastojanje(this,k);
	}
}
