package oop.kolokvijum2013.karta.objekti;

public class Kota 
{
	private double x;
	private double y;
	private double visina;
	public double getX() {
		return x;
	}
	public double getY() {
		return y;
	}
	public double getVisina() {
		return visina;
	}
	
	public Kota(double x, double y, double visina)
	{
		this.x = x;
		this.y = y;
		this.visina = visina; 
	}
	
	public boolean equals(Kota k, double precision)
	{
		if(Math.abs(Math.sqrt((Math.pow(this.x-k.getX(), 2))+(Math.pow(this.y-k.getY(), 2))))<precision)
			return true;
		return false;
	}
	@Override
	public String toString() {
		return "(" + x + ", " + y + ", " + visina + ")";
	}
	
	public boolean equals(Kota k)
	{
		if(Math.abs(Math.sqrt((Math.pow(this.x-k.getX(), 2))+(Math.pow(this.y-k.getY(), 2))))<0.1)
			return true;
		return false;
	}
	
	public static double rastojanje(Kota a, Kota b)
	{
		double r = Math.abs(Math.sqrt((Math.pow(a.getX()-b.getX(), 2))+(Math.pow(a.getY()-b.getY(), 2))));
		return r;
	}
	
	public double rastojanje(Kota k)
	{
		if(k instanceof VezanaKota)
			return k.rastojanje(this); 	
		else
			return Kota.rastojanje(this, k);
		
	}
}
