package oop.kolokvijum2013.karta.objekti;

public class PlovnaReka extends Reka implements Prohodan{

	
	private final double UZVODNO = 10.0;
	private final double NIZVODNO = 20.0;
	
	public PlovnaReka(String naziv) {
		super(naziv);
	}
	
	public PlovnaReka(String naziv, Kota kota) {
		super(naziv, kota);
	}

	@Override
	public double procenjenoVremePutovanja(Kota k1, Kota k2) {
		
		VezanaKota pom;
		pom = (VezanaKota)k1;
		int nasao=0;
		
		while(pom.getLevo()!=null && pom.getLevo()!=k2)
		{
			if(pom.getLevo()==k2) nasao = -1;
		}
		
		while(pom.getDesno()!=null && pom.getDesno()!=k2)
		{
			if(pom.getDesno()==k2) nasao = 1;
		}
		double vreme = 0.0;
		if(nasao == -1)
		{
			VezanaKota pom1;
			pom1 = (VezanaKota)k1;	
			while(pom1.getLevo()!=k2)
			{
				vreme += this.duzinaPuta(pom, pom.getLevo())/this.UZVODNO;
				pom = pom.getLevo();
			}
			return vreme;
		}
		
		else if(nasao == -1)
		{
			VezanaKota pom1;
			pom1 = (VezanaKota)k1;	
			while(pom1.getDesno()!=k2)
			{
				vreme += this.duzinaPuta(pom, pom.getDesno())/this.NIZVODNO;
				pom = pom.getDesno();
			}
			return vreme;
		}
		
		else return 0.0;
		
	}
	
	
}
