package oop.kolokvijum2013.karta.objekti;

public class Reka extends Slozen {
	private static int brojac;

	public Reka(String naziv, Kota kota) {
		super(naziv, "R" + brojac, kota);
	}

	public Reka(String naziv) {
		super(naziv, "R" + brojac, null);
	}

	public void dodajKotu(double x,double y,double visina) {
		VezanaKota k = new VezanaKota(x, y, visina);
		if (super.getKota()==null) super.setKota(k);
		else {
			VezanaKota pom = (VezanaKota) super.getKota();
			while (pom != null){
				pom = (VezanaKota) pom.getDesno();
			}
			pom = k;
		}
	}
}
