package oop.kolokvijum2013.karta.objekti;

public class VezanaKota extends Kota {
	private VezanaKota levo;
	private VezanaKota desno;

	public VezanaKota(double x, double y, double visina) {
		super(x, y, visina);
	}

	public VezanaKota getLevo() {
		return levo;
	}

	public void setLevo(VezanaKota levo) {
		this.levo = levo;
	}

	public VezanaKota getDesno() {
		return desno;
	}

	public void setDesno(VezanaKota desno) {
		this.desno = desno;
	}

	public double rastojanje(Kota kota) {
		VezanaKota pomLevo = this;
		VezanaKota pomDesno = this;
		double min = pomDesno.rastojanje(pomDesno, kota);
		while (pomDesno.getDesno() != null) {
			pomDesno = pomDesno.getDesno();
			if (pomDesno.rastojanje(pomDesno, kota) < min) {
				min = pomDesno.rastojanje(pomDesno, kota);
			}
		}
		while (pomLevo.getLevo() != null) {
			pomLevo = pomLevo.getLevo();
			if (pomLevo.rastojanje(pomLevo, kota) < min) {
				min = pomLevo.rastojanje(pomLevo, kota);
			}
		}

		return min;
	}
}
