package oop.kolokvijum2013.karta.objekti;

public class Drum extends Slozen implements Prohodan {
       private char kategorija;
       private  final double AUTOPUT=120.0;
       private  final double Magistralni=60.0;
       private  final double Zemljani=30.0;
       private int brojac;
       private static int pomocna;
       
      public Drum(String naziv,char kategorija){
    	   super(naziv,"D+brojac",null);
    	   this.kategorija=kategorija;
    	   brojac=pomocna;
    	   pomocna++;
       }
       public Drum(String naziv,char kategorija,Kota k){
    	   super(naziv,"D+brojac",k);
    	   this.kategorija=kategorija;
    	   brojac=pomocna;
    	   pomocna++;
       }

	public double procenjenoVreme(Kota k, Kota k1) {
		double d=duzinaPuta(k,k1);
		char pomoc=this.getKategorija();
		if(pomoc=='A') return d/AUTOPUT;
		else if(pomoc=='M') return d/Magistralni;
		else  return d/Zemljani;
		
	}

	
	public void dodajKotu(double x, double y, double visina) {
		Vezanakota novi=new Vezanakota(x,y,visina);
		Vezanakota pom=new Vezanakota(x,y,visina);
		if(pom.getLevo()==null && pom.getDesno()==null){
			pom.setDesno(novi.getLevo());
			novi.setLevo(pom.getDesno());
			novi.setDesno(null);
		}
		else{
            while(pom.getDesno()!=null) pom=pom.getDesno();
            pom.setDesno(novi.getLevo());
            novi.setLevo(pom.getDesno());
            novi.setDesno(null);
		}

	}
	public char getKategorija(){
		return kategorija;
	}

}
