package oop.kolokvijum2013.karta.objekti;

public class Vezanakota extends Kota {
	private Vezanakota levo;
	private Vezanakota desno;

	public Vezanakota(double x, double y, double visina) {
		super(x, y, visina);
		this.levo=null;
		this.desno=null;
	}

	public Vezanakota getLevo() {
		return levo;
	}

	public void setLevo(Vezanakota levo) {
		this.levo = levo;
	}

	public Vezanakota getDesno() {
		return desno;
	}

	public void setDesno(Vezanakota desno) {
		this.desno = desno;
	}

	public double rastojanje(Kota k) {
		Kota pom = this.getDesno();
		double rezultat = super.rastojanje(k, pom);
		double max = rezultat;
		while (pom != this.getLevo()) {
			rezultat = super.rastojanje(k, pom);
			if (max > rezultat)
				max = rezultat;
			pom = ((Vezanakota) pom).getLevo();
		}
		return max;

	}

	public String toString() {
		String s = null;
		Kota pom = this.getLevo();
		while (pom != this.getDesno()) {
			s += pom.toString();
			pom = ((Vezanakota) pom).getDesno();
		}
		return s;
	}
}
