package oop.kolokvijum2013.karta.objekti;

public abstract class Objekat {

	private String naziv, id;
	private Kota kota;
	
	public Objekat(String naziv, String id, Kota kota) {
		super();
		this.naziv = naziv;
		this.id = id;
		this.kota = kota;
	}
	
	public double udaljenost(Objekat obj){
		return Kota.rastojanje(this.getKota(), obj.getKota());
	}
	
	
	
	public String getNaziv() {
		return naziv;
	}
	public Kota getKota() {
		return kota;
	}
	protected void setKota(Kota kota) {
		this.kota = kota;
	}
	
	
	public String toString(){
		VezanaKota pom = (VezanaKota) kota;
		String tekst = "";
		while(pom != null){
			tekst+=""+pom+"\n";
			pom = pom.getDesno();
		}
		
		return tekst;
	}

	
	
}
