package oop.kolokvijum2013.karta.objekti;

public abstract class Slozen extends Objekat implements Merljivo 
{
	public Slozen(String naziv, String id, Kota k)
	{
		super(naziv, id, k);
	}
	
	
	public abstract void dodajKotu(double x, double y, double v);
	
	@Override
	public double duzinaPuta(Kota k1, Kota k2) 
	{
		VezanaKota k = (VezanaKota) this.getKota();
		double r = 0;
		boolean b = false;
		
		while (k != null)
		{	
			if (k.equals(k1) || k.equals(k2))
				b = !b;
			
			if (b)
				r += Kota.rastojanje(k, k.getDesno());
			k = (VezanaKota)k.getDesno();
		}
		
		return r;
	}

}
