
public class Drum extends Slozen implements Prohodan {
	private char kategorija;
	VezanaKota prva;
	private double Autoput=120.0; 
	private double Magistralni=60.0;
	private double Zemljani=30.0;
	private static int brojacd=1;
	public Drum(String naziv,char kategorija){
		super(naziv,("D"+brojacd),null);
		this.kategorija=kategorija;
		brojacd++;
	}
	public Drum(String naziv,char kategorija,VezanaKota a){
		super(naziv,("D"+brojacd),a);
		this.kategorija=kategorija;
		brojacd++;
	}
	@Override
	public double procenjenoVremePutovanja(Kota a, Kota b) {
		double duz;
		double brzina=0;
		duz=this.duzinaPuta(a, b);
		if(this.kategorija=='A') brzina=duz/Autoput;
		if(this.kategorija=='M') brzina=duz/Magistralni;
		if(this.kategorija=='Z') brzina=duz/Zemljani;
		return brzina;
	}

	@Override
	public void dodajKotu(double x, double y, double visina) {
		VezanaKota nova=new VezanaKota(x,y,visina); 
		VezanaKota p=prva;
		if(prva==null) {
			prva.setLevo(null);
			prva.setDesno(nova);
			return;
		}
		while(p.getDesno()!=null) p=p.getDesno();
		p.setDesno(nova);
		p.getDesno().setDesno(null);
		p.getDesno().setLevo(p);
	}
	public String toString(){
		return this.getNaziv()+":"+kategorija;
	}
}
