package oop.kolokvijum2013.karta.objekti;

public class VezanaKota extends Kota {
	private VezanaKota levo;
	private VezanaKota desno;
	
	public VezanaKota(double x,double y,double visina){
		super(x,y,visina);
	}

	public VezanaKota getLevo() {
		return levo;
	}

	public void setLevo(VezanaKota levo) {
		this.levo = levo;
	}

	public VezanaKota getDesno() {
		return desno;
	}

	public void setDesno(VezanaKota desno) {
		this.desno = desno;
	}
	
	public double rastojanje(VezanaKota k){
		VezanaKota p=this.getDesno();
		double rezultat=super.rastojanje(k,p);
		double maximum=rezultat;
		while(p!=this.getLevo()){
			rezultat=super.rastojanje(k, p);
			if(maximum>rezultat) maximum=rezultat;
			p=((VezanaKota)p).getLevo();
		}
		return maximum;
	}
	
	public String toString(){
		String s=null;
		VezanaKota pom=this.getDesno();
		while(pom!=this.getDesno()){
			s+=pom.toString();
			pom=((VezanaKota) pom).getDesno();
		}
		return s;
	}
}
