package oop.kolokvijum2013.karta.objekti;

public class Drum extends Put{
	
	final double AUTOPUT = 120;
	final double MAGISTRALNI = 60;
	final double ZEMLJANI = 30;
	private char kategorija; 
	
	public Drum(String naziv, char kategorija)
	{
		super(naziv);
		this.kategorija = kategorija;
	}
	
		
	public char getKategorija() {
		return kategorija;
	}

	public void setKategorija(char kategorija) {
		this.kategorija = kategorija;
	}


	public void dodajKotu(double x, double y, double visina)
	{
		Kota k = new Kota(x,y,visina);
		Niz.dodajNaKraj(k);
	}
	
	public double procenjenoVremePutovanja(Kota a, Kota b)
	{
		if(Niz.sadrzi(a) && Niz.sadrzi(b))
		{
		if(this.getKategorija() == 'A')
			return a.rastojanje(b)*AUTOPUT;
		else
			if(this.getKategorija() == 'M')
				return a.rastojanje(b)*MAGISTRALNI;
			else
				if(this.getKategorija() == 'Z')
					return a.rastojanje(b);
		}
		return -1;		
	}
	
	public String toString()
	{
		return "Drum"+super.toString();
	}
	
	

}
