package oop.kolokvijum2013.karta.objekti;

public abstract class Put {

	protected Nizkota Niz = new Nizkota(50);
	private String naziv;
	
	Put(String naziv)
	{
		this.naziv = naziv;
	}
	
	public double duzinaPuta(Kota a, Kota b)
	{
		int pom = 0;
		for(int i=0; i < Niz.getPopunjeno(); i++)
			if(Niz.sadrzi(a)) pom = 1;
		
		for(int i=0; i < Niz.getPopunjeno(); i++)
			if(Niz.sadrzi(b)) pom = 1;
		
		if( pom == 0 ) return -1;
		
		return a.rastojanje(b);
	}
	
	abstract double procenjenoVremePutovanja(Kota a, Kota b);
	abstract void dodajKotu(double x, double y, double visina);
	
	public String toString()
	{
		String rez = this.naziv+"[";
		for(int i=0; i < Niz.getPopunjeno(); i++)
			rez+=Niz.toString()+"\t";
		rez+="]";
		return rez;
	}

}
