package oop.kolokvijum2013.karta.objekti;

public class Kota {
private double x;
private double y;
private double visina;
public double getX() {
	return x;
}
public double getY() {
	return y;
}
public double getVisina() {
	return visina;
}
public Kota(double x, double y, double visina) {
	super();
	this.x = x;
	this.y = y;
	this.visina = visina;
}
public boolean equals(Kota k, double preciznost)
{
	if(Math.abs(this.x-k.getX())<preciznost && Math.abs(this.y-k.getY())<preciznost) return true;
	return false;
}

public boolean equals(Kota k)
{
	if(this.equals(k, 0.1)==true) return true;
	return false;
}
@Override
public String toString() {
	return "("+ x + ", " + y + ", " + visina + ")";
}

public static double rastojanje(Kota jedan, Kota dva)
{
	return Math.sqrt(Math.pow(jedan.getX()-dva.getX(), 2)+Math.pow(jedan.getY()-dva.getY(), 2));
	
}

public double rastojanje(Kota a)
{
	if(a instanceof VezanaKota) return a.rastojanje(this);
	else return rastojanje(this,a);
}












}
