package oop.kolokvijum2013.karta.objekti;

public class VezanaKota extends Kota {
	private VezanaKota levo;
	private VezanaKota desno;
	public VezanaKota(double x, double y, double visina) {
		super(x, y, visina);
		
	}
	
	public double rastojanje(Kota k){
		double razlika;
		double min;
	
		VezanaKota pom = this;
		while(pom!=null) pom = pom.getLevo();
		
		min = Kota.rastojanje(pom, k);
		pom = pom.getDesno();
		
		while(pom!=null){
			razlika = Kota.rastojanje(pom, k);
			if(razlika < min) min = razlika;
		}
		
		return min;
	}
	
	
	
	public VezanaKota getLevo() {
		return levo;
	}
	public void setLevo(VezanaKota levo) {
		this.levo = levo;
	}
	public VezanaKota getDesno() {
		return desno;
	}
	public void setDesno(VezanaKota desno) {
		this.desno = desno;
	}

}
