package oop.kolokvijum2013.karta.objekti;

public class Kota {
	private double x,y,visina;

	public double getX() {
		return x;
	}

	public double getY() {
		return y;
	}

	public double getVisina() {
		return visina;
	}
	public Kota(double x, double y, double visina){
		this.x=x;
		this.y=y;
		this.visina=visina;
	}
	public boolean equals(Kota k, double preciznost){
		if ((Math.abs(this.x-k.getX())<preciznost)&&(Math.abs(this.y-k.getY())<preciznost)) return true;
		return false;
	}
	public boolean equals(Kota k){
		if ((Math.abs(this.x-k.getX())<0.1)&&(Math.abs(this.y-k.getY())<0.1)) return true;
		return false;
	}
	public String toString(){
		return "("+this.x+","+this.y+","+this.visina+")";
	}
	public double rastojanje(Kota k1, Kota k2){
		return Math.sqrt((k1.getX()-k2.getX())*(k1.getX()-k2.getX())+((k1.getY()-k2.getY())*(k1.getY()-k2.getY())));
	}
	public double rastojanje(Kota k){
		if (k instanceof VezanaKota) return k.rastojanje(this);
		else{ return rastojanje(this,k);
		}
	}
	
}
