package oop.kolokvijum2013.karta.objekti;
import java.lang.Math;
public class Kota {

	private double x,y,visina;

	public double getX() {
		return x;
	}

	public double getY() {
		return y;
	}

	public double getVisina() {
		return visina;
	}

	public Kota(double x, double y, double visina) {
		this.x = x;
		this.y = y;
		this.visina = visina;
	}
	
	public boolean equals(Kota kota,double preciznost){
		if ((this.x-kota.x)<preciznost && (this.y-kota.y)<preciznost) {
			return true;
		} 
		return false;
	}
	
	public boolean equals(Kota kota){
		return equals(kota,0.1);
	}
	
	public String toString(){
		return "(x:"+x+" y:"+y+" visina:"+visina+")";
	}
	
	public double rastojanje(Kota a,Kota b){
		double izraz,rez;
		izraz=(((a.x-b.x)*(a.x-b.x))-((a.y-b.y)*(a.y-b.y)));
		rez=Math.sqrt(izraz);
		return rez;
	}
	
	/*public double rastojanje(Kota kota){
		if(kota instanceof VezanaKota){
			return rastojanje(kota);
		}
		return rastojanje(kota, this);
	}*/
	
	public double rastojanje(Kota kota){
		return rastojanje(kota,this);
	}
}
