package oop.kolokvijum2013.karta.objekti;

public class PlovnaReka extends Reka implements Prohodan{
	private final double UZVODNO=10.0;
	private final double NIZVODNO=20.0;
	
	
	
	public PlovnaReka(String naziv) {
		super(naziv);
	}
	
	public PlovnaReka(String naziv,Kota k) {
		super(naziv,k);
	}

	
	@Override
	public double procenjenoVremePutovanja(Kota a, Kota b) {
		double p=this.duzinaPuta(a,b);
		if(a.getVisina()>b.getVisina()) return (p/NIZVODNO);
		else return (p/UZVODNO);
	}
	

}
