package oop.kolokvijum2013.karta.objekti;

public class VezanaKota extends Kota {
	
	private VezanaKota levo;
	private VezanaKota desno;

	public VezanaKota(double x, double y, double visina) {
		super(x, y, visina);
	}

	public VezanaKota getLevo() {
		return levo;
	}

	public void setLevo(VezanaKota levo) {
		this.levo = levo;
	}

	public VezanaKota getDesno() {
		return desno;
	}

	public void setDesno(VezanaKota desno) {
		this.desno = desno;
	}
	
	public double rastojanje(Kota k) {
		double minLevo = this.rastojanje(this, k);
		double minDesno = this.rastojanje(this, k);
		double ovo = this.rastojanje(this, k);
		VezanaKota preth = this.getLevo();
		VezanaKota sled = this.getDesno();
		ovo = Kota.rastojanje(this, k);
		while (preth.getLevo() != null) {
			if(preth.rastojanje(preth, k) < minLevo) minLevo = preth.rastojanje(preth, k);
			preth.setLevo(preth);
		}
		while (sled.getDesno() != null) {
			if(sled.rastojanje(sled, k) < minDesno) minDesno = sled.rastojanje(sled, k);
			sled.setDesno(sled);
		}
		if (minLevo <= minDesno) return minLevo;
		else return minDesno;
	}
	
	public String toString() {
		String rez = super.toString();
		VezanaKota sled = this.getDesno();
		while(sled.getDesno() != null) {
			rez += ((Kota)sled).toString() + " ";
			sled.setDesno(sled);
		}
		return rez;
	}

}
