package oop.kolokvijum2013.karta.objekti;

public class Kota {
	private double x,y,visina;
	public Kota(double x,double y,double visina){
		this.x=x;
		this.y=y;
		this.visina=visina;
	}
	public double getX(){
		return x;
	}
	public double getY(){
		return y;
	}
	public double getVisina(){
		return visina;
	}
	public boolean equals(Kota k,double preciznost){
		if(Math.abs(k.getX()-x)<preciznost && Math.abs(k.getY()-y)<preciznost)
				return true;
		else return false;
	}
	public boolean equals(Kota k){
		return equals(k,0.1);
	}
	public String toString(){
		return "("+x+","+y+","+visina+")";
	}
	public double rastojanje(Kota a, Kota b){
		return Math.sqrt((a.getX()-b.getX())*
				(a.getX()-b.getX())+(a.getY()-b.getY())*(a.getY()-b.getY()));
	}
	public double rastojanje(Kota a){
		return rastojanje(a,this);
	}	
}
