package oop.kolokvijum2013.karta.objekti;

public class Kota {
	//pozicija i nadmorska visina
	private double x;
	private double y;
	private double visina;
	
	public double getX() {
		return x;
	}
	public double getY() {
		return y;
	}
	public double getVisina() {
		return visina;
	}
	
	public Kota(double x,double y,double visina){
		this.x=x;
		this.y=y;
		this.visina=visina;
	}
	
	public boolean equals(Kota kota,double preciznost){
		if( ( Math.abs(this.x-kota.x) < preciznost ) && ( Math.abs(this.y-kota.y) < preciznost ) )
			return true;
		return false;
	}
	
	public boolean equals(Kota kota){
		boolean vrati=equals(kota, 0.1);
		return vrati;
	}
	
	public String toString(){
		return "("+this.x+","+this.y+","+this.visina+")";
	}
	
	public double rastojanje(Kota kota1,Kota kota2){
		double rastojanje;
		rastojanje=Math.sqrt((kota1.x-kota2.x)*(kota1.x-kota2.x)+(kota1.y-kota2.y)*(kota1.y-kota2.y));
		return rastojanje;
	}
	
	public double rastojanje(Kota kota){
		double rastojanje;
		if(kota instanceof VezanaKota){
			VezanaKota vezana=new VezanaKota(this.x, this.y, this.visina);
			rastojanje=vezana.rastojanje(kota);
			return rastojanje;
		}
		else{
			rastojanje=rastojanje(this, kota);
			return rastojanje;
		}
		
	}
	
}
