package oop.kolokvijum2013.karta.objekti;

public class VezanaKota extends Kota {

	private VezanaKota levo;
	private VezanaKota desno;
	
	public VezanaKota(double x, double y, double visina) {
		super(x, y, visina);
	}

	public VezanaKota getLevo() {
		return levo;
	}

	public void setLevo(VezanaKota levo) {
		this.levo = levo;
	}

	public VezanaKota getDesno() {
		return desno;
	}

	public void setDesno(VezanaKota desno) {
		this.desno = desno;
	}
	
	public double rastojanje(Kota kota){
		VezanaKota trenlevo=this;
		VezanaKota trendesno=this;
		double rastojanjeL;
		double rastojanjeD;
		double min1=10000;
		double min=10000;
		if(this.levo!=null){ //tekuca sa levom
			min=rastojanje(this,kota);
		}
		if(this.desno!=null){ //tekuca sa desnom
			min1=rastojanje(this,kota);
			if(min1<min) min=min1;
		}
		while(trenlevo.levo!=null){ //sve na levo do null
			trenlevo=trenlevo.levo;
			rastojanjeL=rastojanje(trenlevo, kota);
			if(rastojanjeL<min) min=rastojanjeL;
		}
		while(trendesno.desno!=null){ //sve na desno do null
			trendesno=trendesno.desno;
			rastojanjeD=rastojanje(trendesno, kota);
			if(rastojanjeD<min) min=rastojanjeD;
		}
		return min;
	}
	
	public String toString(){
		String vrati=super.toString();
		VezanaKota trenutna=this;
		while(trenutna.desno!=null){
			vrati+=desno.toString();
			trenutna=trenutna.desno;
		}
		return vrati;
	}

}
